summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Nagy <danielnagy@gmx.de>2012-02-09 22:09:51 +0100
committerDaniel Nagy <danielnagy@gmx.de>2012-02-09 22:09:51 +0100
commit9842e14f39fc6275c241229843d95fd46706f83a (patch)
tree19e47d47314aacaddef782f4c7d6c09477f40cd5 /dev-java/parallel-ant
parentadding boost dependency to curlpp (diff)
downloaddrevilt-9842e14f39fc6275c241229843d95fd46706f83a.tar.gz
drevilt-9842e14f39fc6275c241229843d95fd46706f83a.tar.bz2
drevilt-9842e14f39fc6275c241229843d95fd46706f83a.zip
adding json-java, parallel-ant, hamlpy, ws4py, iwatch, owncloud
Diffstat (limited to 'dev-java/parallel-ant')
-rw-r--r--dev-java/parallel-ant/parallel-ant-0.9.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/dev-java/parallel-ant/parallel-ant-0.9.ebuild b/dev-java/parallel-ant/parallel-ant-0.9.ebuild
new file mode 100644
index 0000000..9577e77
--- /dev/null
+++ b/dev-java/parallel-ant/parallel-ant-0.9.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit java-pkg-2 java-ant-2
+
+EAPI=2
+
+DESCRIPTION="pant"
+HOMEPAGE="http://blog.codeaholics.org/parallel-ant/"
+SRC_URI="https://github.com/codeaholics/parallel-ant/tarball/0.9-beta -> ${P}.tar.gz"
+
+LICENSE="Apache"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+COMMON_DEP="dev-java/ant"
+
+RDEPEND=">=virtual/jre-1.5
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.5
+ ${COMMON_DEP}"
+
+#java_prepare() {
+# JAVA_ANT_CLASSPATH_TAGS="javac java" java-ant_rewrite-classpath
+#}
+
+EANT_GENTOO_CLASSPATH="ant-core"
+
+src_configure() {
+ mv codeaholics-${PN}-0a67d42 ${P}
+ cd ${P}
+}
+
+src_compile() {
+ JAVA_ANT_CLASSPATH_TAGS="javac java" java-ant_rewrite-classpath
+ eant || die
+}
+
+src_install() {
+ java-pkg_dojar build/${P}-beta.jar
+ insinto /usr/share/${PN}
+# doins "${FILESDIR}/${PN}-${SLOT}"
+}